Bug 1623862 - GCE provider doesn't respect the http_proxy configuration to connect to the remote
Summary: GCE provider doesn't respect the http_proxy configuration to connect to the r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.4
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Alexander Zagaynov
QA Contact: Jaroslav Henner
URL:
Whiteboard:
: 1623550 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-30 10:51 UTC by Jaroslav Henner
Modified: 2019-08-22 00:54 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description Jaroslav Henner 2018-08-30 10:51:33 UTC
Description of problem:
There is a feature that enables reaching the provider using proxy. For that one needs to set the proxy in the Advance tab of Configuration. The GCE does not seem to respect that settings as there are no lines in the proxy access log when the proxy is configured and GCE provider refresh executed.

This happens for both versions of CFME 5.9 as well as 5.10.

Version-Release number of selected component (if applicable):
Version 5.10.0.12.20180822200426_5f6e52b 
Version 5.9.4.7.20180829201904_ced41ae 

How reproducible:
2/2

Steps to Reproduce:
1. Configure CFME to use proxy to reach GCE
2. Refresh the provider
3.

Actual results:
No new lines in proxy access logs.

Expected results:
New lines in proxy access logs.

Additional info:

Comment 3 Alexander Zagaynov 2018-10-04 13:20:24 UTC
Everything merged.

Comment 4 CFME Bot 2018-10-05 00:31:51 UTC
New commit detected on ManageIQ/manageiq-providers-google/hammer:

https://github.com/ManageIQ/manageiq-providers-google/commit/af5dfef52fe510f849844083b0cbb2f9c244738f
commit af5dfef52fe510f849844083b0cbb2f9c244738f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Oct  4 09:16:31 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Oct  4 09:16:31 2018 -0400

    Merge pull request #73 from AlexanderZagaynov/BZ-1623862_http_proxy

    rename client's proxy option

    (cherry picked from commit ec11cad1b0d230581173c19f9111fb9613eb1dbe)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1623862

 app/models/manageiq/providers/google/manager_mixin.rb | 4 +-
 manageiq-providers-google.gemspec | 2 +-
 spec/models/manageiq/providers/google/cloud_manager_spec.rb | 6 +-
 3 files changed, 4 insertions(+), 8 deletions(-)

Comment 5 Jaroslav Henner 2018-12-18 11:28:57 UTC
*** Bug 1623550 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.